Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1661949 - [DOCS] Disable NFSv4 idmapping shows incorrect command for clients as path differs for servers and clients. [NEEDINFO]
Summary: [DOCS] Disable NFSv4 idmapping shows incorrect command for clients as path di...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: All
low
low
Target Milestone: ---
: 3.11.z
Assignee: Bob Furu
QA Contact: Liang Xia
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 18:19 UTC by Joel Rosental R.
Modified: 2020-03-03 20:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-03 20:05:48 UTC
Target Upstream Version:
bfuru: needinfo? (jrosenta)


Attachments (Terms of Use)

Description Joel Rosental R. 2018-12-24 18:19:24 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.11/install_config/persistent_storage/persistent_storage_nfs.html#nfs-additional-config-and-troubleshooting

Section Number and Name: 
Additional Configuration and Troubleshooting

Describe the issue: 
This section suggests that in order to disable ID mapping on NFSv4 on both server and client the following command should be executed:

`# echo 'Y' > /sys/module/nfsd/parameters/nfs4_disable_idmapping`

However, as stated in the KCS article mentioned above the paths are different for server and clients:

NFS client 
 # echo 'Y' > /sys/module/nfs/parameters/nfs4_disable_idmapping 

NFS server
 # echo 'Y' > /sys/module/nfsd/parameters/nfs4_disable_idmapping 

Suggestions for improvement: 
See above.

Additional information:

Comment 2 Bob Furu 2020-02-24 20:27:51 UTC
Created https://github.com/openshift/openshift-docs/pull/19968

Once approved, merge to master-3 and CP to enterprise-3.11

Added additional command added to show methods for both client and server, as described in bug.

@jrosenta - We are only supporting OCP 3.11 branch, so this was not backported to versions prior. PTAL to confirm this is correct.

@liangxia PTAL or let me know who from QE can review. Thanks.

Comment 3 Liang Xia 2020-02-25 02:08:43 UTC
The change looks good.

Comment 4 Bob Furu 2020-03-03 16:56:21 UTC
Out for peer review

Comment 5 Bob Furu 2020-03-03 20:05:48 UTC
Peer review complete. Merged to master-3 and CP to enterprise-3.11.

Verified published docs are live:
https://docs.openshift.com/container-platform/3.11/install_config/persistent_storage/persistent_storage_nfs.html#nfs-additional-config-and-troubleshooting

Closing bug.


Note You need to log in before you can comment on or make changes to this bug.